# -*- coding: utf-8 -*-
from setuphelpers import *


bin_name = "geckodriver.exe"


def install():
    zip_name = glob.glob("geckodriver-*.zip")[0]
    unzip(zip_name, ".")

    selenium_wapt_dir = makepath(WAPT.wapt_base_dir, "selenium")
    mkdirs(selenium_wapt_dir)
    driver_path = makepath(selenium_wapt_dir, bin_name)
    print(f'Copying: "{driver_path}" ({control.get_software_version()})')
    filecopyto(bin_name, selenium_wapt_dir)

    if not installed_softwares("Firefox") and not params.get("running_as_luti"):
        print(f'ERROR: You must install Firefox to use {control.name}\nYou can use the package "tis-firefox" or "tis-firefox-esr" for example')


def uninstall():
    selenium_wapt_dir = makepath(WAPT.wapt_base_dir, "selenium")
    driver_path = makepath(selenium_wapt_dir, bin_name)
    if isfile(driver_path):
        print(f'Removing: "{driver_path}"')
        remove_file(driver_path)
    if dir_is_empty(selenium_wapt_dir):
        print(f'Removing: "{selenium_wapt_dir}"')
        remove_tree(selenium_wapt_dir)
